Package org.eclipse.emf.cdo.view

## Interface CDOViewConfigurator

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CDOViewConfigurator

  Can be contributed through a `factory` and `configures` `views`.
  Since:
    4.14
  Author:
    Eike Stepper
  See Also:
    `CDOUtil.configureView(CDOView)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOViewConfigurator.Factory` | A factory for `view configurators`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureView​(CDOView view)` |

- - ### Method Detail

    - #### configureView

          void configureView​(CDOView view)